Bug 387051 - traceback with email notification
Summary: traceback with email notification
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-updatesd
Version: 8
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-16 15:39 UTC by Pierre Ossman
Modified: 2008-11-26 17:36 UTC (History)
1 user (show)

Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 17:36:55 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2007-11-16 15:39:06 UTC
Using email notification triggers this silly bug:

Traceback (most recent call last):
  File "/usr/sbin/yum-updatesd", line 296, in <module>
    main()
  File "/usr/sbin/yum-updatesd", line 261, in main
    checkUpdates(opts, wait = True)
  File "/usr/sbin/yum-updatesd", line 169, in checkUpdates
    "--email-to=%s" %(string.join(opts.email_to, ","),),
NameError: global name 'string' is not defined

Comment 1 Jeremy Katz 2007-11-16 16:08:10 UTC
Committed upstream, will be in an update soon

Comment 2 Fedora Update System 2007-12-06 20:54:28 UTC
yum-updatesd-0.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-updatesd'

Comment 3 Fedora Update System 2007-12-20 19:52:23 UTC
yum-updatesd-0.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-updatesd'

Comment 4 Fedora Update System 2007-12-28 17:19:02 UTC
yum-updatesd-0.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Bug Zapper 2008-11-26 08:30:07 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Jon Stanley 2008-11-26 17:36:55 UTC
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.